internal class OmoteLog
{
	private static bool mEnabled;

	protected OmoteLog()
	{
	}

	public static void SetEnable(bool enabled)
	{
		mEnabled = enabled;
	}

	public static void Info(string format, params object[] args)
	{
		_ = mEnabled;
	}

	public static void Warn(string format, params object[] args)
	{
		_ = mEnabled;
	}

	public static void WarnUnless(bool assertion, string format, params object[] args)
	{
		if (!mEnabled)
		{
		}
	}

	public static void Error(string format, params object[] args)
	{
		if (mEnabled)
		{
			Debug.LogError(string.Format(format, args));
		}
	}

	public static void ErrorUnless(bool assertion, string format, params object[] args)
	{
		if (mEnabled && !assertion)
		{
			Debug.LogError(string.Format(format, args));
		}
	}
}
